Skip to content

Sync SalesPersons

POST /rest/v1/salespersons.json

Permissions Read-Write Sales Person

Build a request and mock the response

Method: POST
Path: /rest/v1/salespersons.json
Tag: Sales Persons
Operation ID: syncSalesPersonsUsingPOST

Allows inserts, updates, or upserts of salespersons to the target instance. Required Permissions: Read-Write Sales Person

Formats

  • Request: application/json
  • Response: application/json

Request

Request body

Name: syncSalesPersonRequest
Required: Yes
Schema: model: SyncSalesPersonRequest

syncSalesPersonRequest

Generated example

{
  "action": "createOnly",
  "dedupeBy": "string",
  "input": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ]
}

Referenced models

Example request

POST {{base_url}}/rest/v1/salespersons.json
Content-Type: application/json
Accept: application/json

{
  "action": "createOnly",
  "dedupeBy": "string",
  "input": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ]
}

Responses

200 — OK

Schema: model: ResponseOfSalesPerson

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "reasons": [
        {
          "code": "string",
          "message": "string"
        }
      ],
      "seq": 123,
      "status": "created"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.